package seal_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type SealDiypermissionconfigDeleteRequest struct {
	CustomParamSelectRequest *common.SealDiypermissionconfigDeleteCustomParamSelectRequest `json:"customParamSelectRequest"`
}

func (obj SealDiypermissionconfigDeleteRequest) GetUrl() string {
	return "/seal/diypermissionconfig/delete"
}

func (obj SealDiypermissionconfigDeleteRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
